summaryrefslogtreecommitdiffstats
path: root/host/dist/arch
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-08-04 19:52:04 +0200
committermakefu <github@syntax-fehler.de>2011-08-04 19:52:04 +0200
commit49b7d9c8265fdc044020dcf6b6ca2a392777d22f (patch)
treef4108c0039c8f3f0026d58d2b24332146b66092d /host/dist/arch
parente14c7902515b32ac454327cc621dba0f37bedf93 (diff)
parent6eb609420cdfe8ca08134a35ddfc72bb438433b1 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'host/dist/arch')
-rwxr-xr-xhost/dist/arch/getsize17
1 files changed, 17 insertions, 0 deletions
diff --git a/host/dist/arch/getsize b/host/dist/arch/getsize
new file mode 100755
index 00000000..d099c9e2
--- /dev/null
+++ b/host/dist/arch/getsize
@@ -0,0 +1,17 @@
+#! /bin/sh
+set -euf
+sed -rn '
+ /^Name/{
+ s/^Name *: *(.*)$/\1/
+ T
+ h
+ }
+ /^Installed Size/{
+ s/^Installed Size *: *(.*)$/ \1/
+ T
+ H
+ x
+ s/\n//g
+ p
+ }
+' | awk '{print$2$3" "$1}' | sort -n